Ask coding questions

← Back to all posts
Error
Unknown1789 (0)

I'm making a discord bot, and there is an error when running/packaging Here's the error! Any help would be appreciated.

[email protected] build-release /home/runner/Pingbot-Online/node_modules/quick.db/node_modules/better-sqlite3
> node-gyp rebuild --release

make: Entering directory '/home/runner/Pingbot-Online/node_modules/quick.db/node_modules/better-sqlite3/build'
  TOUCH b857c92884e9598d609f6be182a2595df7a8e00f.intermediate
  ACTION deps_sqlite3_gyp_locate_sqlite3_target_extract_sqlite3 b857c92884e9598d609f6be182a2595df7a8e00f.intermediate
  TOUCH Release/obj.target/deps/locate_sqlite3.stamp
  CC(target) Release/obj.target/sqlite3/gen/sqlite3/sqlite3.o
cc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-6/README.Bugs> for instructions.
deps/sqlite3.target.mk:199: recipe for target 'Release/obj.target/sqlite3/gen/sqlite3/sqlite3.o' failed
make: *** [Release/obj.target/sqlite3/gen/sqlite3/sqlite3.o] Error 4
rm b857c92884e9598d609f6be182a2595df7a8e00f.intermediate
make: Leaving directory '/home/runner/Pingbot-Online/node_modules/quick.db/node_modules/better-sqlite3/build'
gyp ERR! build error 
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:194:23)
gyp ERR! stack     at ChildProcess.emit (events.js:314:20)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:276:12)
gyp ERR! System Linux 5.4.0-1042-gcp
gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild" "--release"
gyp ERR! cwd /home/runner/Pingbot-Online/node_modules/quick.db/node_modules/better-sqlite3
gyp ERR! node -v v12.22.1
gyp ERR! node-gyp -v v5.1.0
gyp ERR! not ok 
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! [email protected] build-release: `node-gyp rebuild --release`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the [email protected] build-release script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm WARN Local package.json exists, but node_modules missing, did you mean to install?

npm ERR! A complete log of this run can be found in:
npm ERR!     /home/runner/.npm/_logs/2021-05-10T17_34_57_457Z-debug.log
npm WARN [email protected] No description
npm WARN [email protected] No repository field.

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! [email protected] install: `prebuild-install || npm run build-release`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the [email protected] install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /home/runner/.npm/_logs/2021-05-10T17_34_59_098Z-debug.log
exit status 1


Repl.it: Package operation failed.

Comments
hotnewtop
PYer (4010)

Try installing all packages through the package manager. I'm unsure exactly what is happening here, especially as a python user, but I know that this works often. It's not a bug with your code, but either repl.it or the package itself. Possibly, check the version that the repl is trying to get, and make sure it is an updated, and bug-less version.

Unknown1789 (0)

@PYer How do I add packages using the package manager? What's happening in the index.js is installing discord modules, preparing to read files from folders, and executing files in the folders, then it logs into the bot. I think the error originates from "corona.js", corona.js uses an api to get info about covid, and returns it to the user.

Unknown1789 (0)

@PYer I installed the packages manually from the command line, and it seems that the error originates from the "quick.db" package

PYer (4010)

@Unknown1789 You can open the button that has a box icon, and search for the packages, and press the + to add them to the repl. I don't see the quick.db package in your code. If you want, you might want to try and install a previous version of the package if the current one is buggy. (Sorry for the late response.)

Unknown1789 (0)

@PYer I eventually fixed the error, just decided to use a different database, thanks though

PYer (4010)

OK, glad to hear it. It didn't seem to be a problem with your code, but with the database. Good choice. @Unknown1789